capture log close
log using wf3-longcommand, replace text

//  program:    wf3-longcommand.do
//  task:       example of problems with long command lines
//  project:    workflow - chapter 3
//  author:     scott long \ 2008-04-09

//  #0
//  setup - these commands are explained later in the book

version 10
set linesize 200
clear all
macro drop _all

//  #1
//  load data

use wf-longcommand, clear

//  #2
//  estimate model

mlogit jobchoice income origin prestigepar aptitude siblings friends scale1_std demands interestlvl jobgoal scale3 scale2_std motivation parented city female, noconstant baseoutcome(1)
listcoef

//  #2
//  estimate model with a reformatted command

mlogit jobchoice income origin prestigepar aptitude siblings friends    ///
    scale1_std demands interestlvl jobgoal scale3 scale2_std motivation ///
    parented city female, noconstant baseoutcome(1)
listcoef

log close
exit